Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZOrderStatus Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| get ( $id="")
| id ()
| altered ()
| rawAltered ()
| type ()
| comment ()
| admin ()
| setType ( $type)
| setAdmin ( $user)
| setOrderID ( $order)
| setComment ( $value)

## Public Attributes
| $ID
| $StatusID
| $Altered
| $AdminID
| $OrderID
| $Comment

## Detailed Description

! eZTrade eZOrderStatus handles order status.

See also
  eZOrder

TODO Add documentation.

Definition at line 43 of file ezorderstatus.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZOrderStatus::__construct | ( |  | $id = `""` | ) |

Constructs a new eZOrder object.

If $id is set the object's values are fetched from the database.

Definition at line 51 of file ezorderstatus.php.

References $id, and $ID.

## Member Function Documentation

## ◆ admin()

eZOrderStatus::admin | ( |  | ) |

Returns the admin user.

Definition at line 190 of file ezorderstatus.php.

References $ret.

## ◆ altered()

eZOrderStatus::altered | ( |  | ) |

Returns the altered timestamp as a eZDateTime object.

Definition at line 151 of file ezorderstatus.php.

References $dateTime.

## ◆ comment()

eZOrderStatus::comment | ( |  | ) |

Returns the comment.

Definition at line 182 of file ezorderstatus.php.

References $Comment.

## ◆ get()

eZOrderStatus::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 113 of file ezorderstatus.php.

References $db, $id, $ret, and eZDB\globalDatabase().

## ◆ id()

eZOrderStatus::id | ( |  | ) |

Returns the object id.

Definition at line 143 of file ezorderstatus.php.

References $ID.

## ◆ rawAltered()

eZOrderStatus::rawAltered | ( |  | ) |

Returns the raw altered timestamp.

Definition at line 163 of file ezorderstatus.php.

References $Altered.

## ◆ setAdmin()

eZOrderStatus::setAdmin | ( |  | $user | ) |

Sets the admin.

Definition at line 211 of file ezorderstatus.php.

References $user.

## ◆ setComment()

eZOrderStatus::setComment | ( |  | $value | ) |

Sets the comment.

Definition at line 230 of file ezorderstatus.php.

## ◆ setOrderID()

eZOrderStatus::setOrderID | ( |  | $order | ) |

Sets the order ID.

Definition at line 222 of file ezorderstatus.php.

References $order.

## ◆ setType()

eZOrderStatus::setType | ( |  | $type | ) |

Sets status type.

Definition at line 200 of file ezorderstatus.php.

References $type.

## ◆ store()

eZOrderStatus::store | ( |  | ) |

Stores a order status to the database.

Definition at line 65 of file ezorderstatus.php.

References $db, $query, $ret, $timestamp, eZDB\finish(), and eZDB\globalDatabase().

## ◆ type()

eZOrderStatus::type | ( |  | ) |

Returns the status type as a eZOrderStatusType object.

Definition at line 172 of file ezorderstatus.php.

References $ret.

## Member Data Documentation

## ◆ $AdminID

eZOrderStatus::$AdminID

Definition at line 238 of file ezorderstatus.php.

## ◆ $Altered

eZOrderStatus::$Altered

Definition at line 237 of file ezorderstatus.php.

Referenced by rawAltered().

## ◆ $Comment

eZOrderStatus::$Comment

Definition at line 240 of file ezorderstatus.php.

Referenced by comment().

## ◆ $ID

eZOrderStatus::$ID

Definition at line 235 of file ezorderstatus.php.

Referenced by __construct(), and id().

## ◆ $OrderID

eZOrderStatus::$OrderID

Definition at line 239 of file ezorderstatus.php.

## ◆ $StatusID

eZOrderStatus::$StatusID

Definition at line 236 of file ezorderstatus.php.

The documentation for this class was generated from the following file:

- ezorderstatus.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.